PHP 存在不受控制的递归漏洞

OSCS开源供应链安全
 OSCS开源供应链安全
发布于 2022年09月29日
收藏 3

漏洞描述

在 PHP 受影响版本内,phar 解压缩器代码将递归解压缩“quines”gzip 文件,从而导致无限循环。攻击者会利用此漏洞导致服务器资源耗尽。

漏洞名称 PHP 存在不受控制的递归漏洞
漏洞类型 未经控制的递归
发现时间 2022/9/29
漏洞影响广度 一般
MPS编号 MPS-2022-12657
CVE编号 CVE-2022-31628
CNVD编号 -

影响范围

php@[8.0.0, 8.0.24)

php@[8.1.0, 8.1.11)

php@(-∞, 7.4.31)

修复方案

升级php到 7.4.31、8.0.24、8.1.11 或更高版本

参考链接

https://www.oscs1024.com/hd/MPS-2022-12657

https://nvd.nist.gov/vuln/detail/CVE-2022-31628

    

情报订阅

OSCS(开源软件供应链安全社区)通过最快、最全的方式,发布开源项目最新的安全风险动态,包括开源组件安全漏洞、事件等信息。同时提供漏洞、投毒情报的免费订阅服务,社区用户可通过配置飞书、钉钉、企业微信机器人,及时获得一手情报信息推送:

https://www.oscs1024.com/?src=osc

具体订阅方式详见:

https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:PHP 存在不受控制的递归漏洞
加载中
返回顶部
顶部